Themabewertung:
  • 0 Bewertung(en) - 0 im Durchschnitt
  • 1
  • 2
  • 3
  • 4
  • 5
Question ZE Chat auf PHP 7
#1
Hat irgendjemand eine Idee ob und wie man den ZE 1.0 auf PHP 7 am laufen bekommt ?
ich weiss nicht wie lange es PHP 5 noch geben wird, wenn dieses verschwindet wird auch der ZE Chat langsam aber sicher verschwinden, was wirklich schade wäre
Antworten
#2
Ja, dass wäre sehr schade, da ich ungerne wieder wechseln möchte.
Hoffe das bald jemand eine Lösung dafür hat
1. Server
Linux Version: Ubuntu 16.04.1 LTS‬
PHP Version: von 5.2 - 7.1
MySql Version: 5.7.17

2. Server
Linux Version: Ubuntu 16.04.1 LTS‬
PHP Version: von 5.2 - 7.1
MySql Version: 5.7.17


Antworten
#3
moin moin
 also ich wüsste nicht was ich  beimn amici-zauber.com/ze1.0 und auf meinem bastelserver unter rw-spremberg.de/ze1,0 besonders gemacht hätte.
 auf  amici läuft der ze1.0 unter php7.1 und auf rw-spremberg unter php7.0

hab nur wie pat on tour beschrieben alles hochgeladen  gehabt und db importiert.  und es lief. dann beim installieren von zephyr einfach auf php7.1 bzw 7.0 umgestellt im datenbank mainmenü des hosters. und lief sofort ohne probleme. 


demochat on php v7.1.19



kleiner nachtrag am rande selbst unter windoof xamp läuft der ze1.0 ohne rumzumotzen auf php7.0.

habe ich mir ganz neu eingerichtet gehabt und nach pats anleitung  den chat "installiert". sollte also  im grunde bei allen gehen.
Das Problem ist nicht das Problem, das Problem ist der Nutzer, der das Problem verursacht. 
Was lernen wir ? 
Wir entfernen einfach den Nutzer und das Problem ist gelöst !  Tongue
Antworten
#4
Hallo,

Also ich hole mal das Thema hier hoch.

Pat on Tour und ich waren in einer Facebook Gruppe am schreiben wegen pcpin Chat und der Chat Version und der Problematik wegen der PHP Version usw.
Ich habe mir die Chat Version runter geladen, und auf ein Test Server gepackt mit der Aktuellen PHP Version 7.2.7 wie erwartet lief nichts XD

Nach 3 Stunden Arbeit läuft der Chat so weit das man sich Registrieren, Einlogen, Chatten und etliches anderes machen kann. Pat on Tour hat den Aktuellen Stand begutachtet.
Die Frage die ich mir stelle lohnt es sich hier an dieser Stelle weiter zu machen und den Chat komplett anzupassen so das er auf der Aktuellen PHP Version läuft.
Der Code an sich sieht echt miss aus wenn ich das mal so sagen darf…. Und ich weiß auch nicht ob es so ein Sinn macht diese Version weiter zu entwickeln….

Aus diesem Grund schreibe ich hier einfach mal diesen Beitrag und Frage in die Runde wie es so aussieht.

Lg.
Antworten
#5
Ich und warscheinlich mit mir noch einige würden sich freuen wenn Zion´s Baby weiter bestehen würde auch wenn es einige veränderungen bedarf
Antworten
#6
moin panter


also ich wüsste nicht wo der code echt mies ausschaut. aber ja wenn du die ze-chat version 1.0 nutzt kannst du  die ruhig deinen wünschen entsprechend anpassen. wir haben ja in unserem chat auch die 1.0 zu laufen und sie tut was sie soll. allerdings wird wohl sicher die v1.0 nicht weterentwickelt und auch  die v1.1-zephr wird nicht weiterentwickelt da leider der  ersteller eben dieser chatversionen leider verstorben ist. und ich hoffe wie auch pat on topur dass vlt doch noch etwas bewegung  ins system komt und  vlt der zephyr doch in absehbarer zukunft  noch  fertiggestellt werden kann.
mfg rené
Das Problem ist nicht das Problem, das Problem ist der Nutzer, der das Problem verursacht. 
Was lernen wir ? 
Wir entfernen einfach den Nutzer und das Problem ist gelöst !  Tongue
Antworten
#7
willkommen im club pat


joa  es sind einige die darauf hoffen und sich freuien würden wenn "zions baby"  noch groß werden würde. na mal sehen vlt tut sich ja doch nen weg auf der dies ermöglicht. mfg rené
Das Problem ist nicht das Problem, das Problem ist der Nutzer, der das Problem verursacht. 
Was lernen wir ? 
Wir entfernen einfach den Nutzer und das Problem ist gelöst !  Tongue
Antworten
#8
also ich hab den ZE nun auch am laufen auf PHP7 aaaaber Zions wittwe hat sich klar dazu geäussert das sie Zions Baby so belassen wollte, da es aber ein opencource projekt ist kann jeder da verändern wie er möchte solange das Copyright von Zion da drinn bleibt.
Ich weiss nicht ob ich das nun machen sollte wie vorher den ZE1.0 das ich den auf meiner dropbox zur verfügung stelle,
ich will da niemanden zu nahe treten
Antworten
#9
also, ich würde deine Version dann gerne haben wollen, da irgendwann nur noch PHP7 verfügbar sein wird
1. Server
Linux Version: Ubuntu 16.04.1 LTS‬
PHP Version: von 5.2 - 7.1
MySql Version: 5.7.17

2. Server
Linux Version: Ubuntu 16.04.1 LTS‬
PHP Version: von 5.2 - 7.1
MySql Version: 5.7.17


Antworten
#10
moin moin leute. da muss ich doch noch a mal ein bringen.
ich habe auf meinem bastelserver  den ze-chat1.0 v10150622b zu laufen. er läuft ohne größere änderungen problemlos auf php7.1.
das einzige was ich ändern musste war die sache mit dem teamspeak status in der tsstatus.class.php.  ansonsten  musste ich nichts ändern.



DBserver:
Server: example.com.mysql via TCP/IP
Software: MariaDB
Software version: 10.1.30-MariaDB-1~xenial - mariadb.org binary distribution
Protocol version: 10
Server charset: UTF-8 Unicode (utf8)




Webserver:
nginx/1.10.3

Database client version: libmysql - mysqlnd 5.0.10- 20111026 -

PHP extension: mysql

PHP version: 7.1.19

link zum chat

https://rw-spremberg.de/index.php
Das Problem ist nicht das Problem, das Problem ist der Nutzer, der das Problem verursacht. 
Was lernen wir ? 
Wir entfernen einfach den Nutzer und das Problem ist gelöst !  Tongue
Antworten
  


Gehe zu:


Benutzer, die gerade dieses Thema anschauen:
1 Gast/Gäste